<?php
/*
 * Created on 11 nov. 08
 * by Martin Panel : contact@xorax.info
 * http://xorax.info
 * Licenced under the MIT licence
 */

class Xorax_GoogleAnalytics_Block_Ga extends Mage_GoogleAnalytics_Block_Ga
{
    protected function _toHtml()
    {
        if (!Mage::getStoreConfigFlag('google/analytics/active')) {
            return '';
        }
        
        $account = $this->getAccount();
        
        $this->addText(<<<JSGA
<!-- BEGIN XORAX GOOGLE ANALYTICS CODE -->
<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
var pageTracker = _gat._getTracker("$account");
pageTracker._initData();
pageTracker._trackPageview();
</script>
<!-- END XORAX GOOGLE ANALYTICS CODE -->
JSGA
        );

        $this->addText($this->getQuoteOrdersHtml());
        if ($this->getGoogleCheckout()) {
            $protocol = Mage::app()->getStore()->isCurrentlySecure() ? 'https' : 'http';
            $this->addText('<script src="'.$protocol.'://checkout.google.com/files/digital/ga_post.js" type="text/javascript"></script>');
        }

        return $this->getText();
    }
}